Bug 62587 - [Texmap] [Qt] [WK2] Unsync in TextureMapperNode between parent and child lists cause crashes on WK2.
Summary: [Texmap] [Qt] [WK2] Unsync in TextureMapperNode between parent and child list...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 47068
  Show dependency treegraph
 
Reported: 2011-06-13 12:33 PDT by Viatcheslav Ostapenko
Modified: 2011-07-18 10:05 PDT (History)
2 users (show)

See Also:


Attachments
Fix parent/children unsync in TextureMapperNode. (2.58 KB, patch)
2011-06-13 12:49 PDT, Viatcheslav Ostapenko
noam: review+
noam: commit-queue-
Details | Formatted Diff | Diff
Updated Changelog by Noams request. (2.59 KB, patch)
2011-07-17 21:04 PDT, Viatcheslav Ostapenko
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Viatcheslav Ostapenko 2011-06-13 12:33:29 PDT
In TextureMapperNode::syncCompositingStateSelf in ParentChange "if" statement m_parent gets overwritten 1st and node gets removed from new m_parent child list and never added.

In ChildrenChange m_children list gets cleared, but m_parent members of child nodes are not cleared.

This cause unsync in m_children <-> m_parent linkage and random crashes mostly ~TextureMapperNode(), but also in other places when already deallocated node gets referenced because it wasn't removed from child list.
Comment 1 Viatcheslav Ostapenko 2011-06-13 12:49:07 PDT
Created attachment 96991 [details]
Fix parent/children unsync in TextureMapperNode.
Comment 2 Noam Rosenthal 2011-07-16 15:02:50 PDT
Comment on attachment 96991 [details]
Fix parent/children unsync in TextureMapperNode.

View in context: https://bugs.webkit.org/attachment.cgi?id=96991&action=review

> Source/WebCore/ChangeLog:10
> +        Unofficially reviewed by Noam Rosenthal (module author).

This is now an official review, so please remove this line before committing.
Comment 3 Viatcheslav Ostapenko 2011-07-17 21:04:20 PDT
Created attachment 101122 [details]
Updated Changelog by Noams request.
Comment 4 WebKit Review Bot 2011-07-18 10:05:02 PDT
Comment on attachment 101122 [details]
Updated Changelog by Noams request.

Clearing flags on attachment: 101122

Committed r91192: <http://trac.webkit.org/changeset/91192>
Comment 5 WebKit Review Bot 2011-07-18 10:05:06 PDT
All reviewed patches have been landed.  Closing bug.